import {
  createSSRApp // 从 Vue 库中导入 createSSRApp 函数，用于创建一个适用于服务器端渲染 (SSR) 的 Vue 应用实例
} from 'vue'
import App from './App.vue' // 导入应用的根组件

/**
 * 创建并返回一个 Vue 应用实例
 * 
 * @returns {Object} - 包含应用实例的对象
 */
export function createApp() {
  // 使用 createSSRApp 函数创建一个新的 Vue 应用实例，并传入根组件 App
  const app = createSSRApp(App)

  // 返回一个对象，包含创建的应用实例
  return {
    app
  }
}
